Package org.eclipse.draw2d

# Class LightweightSystem.RootFigure

java.lang.Object
org.eclipse.draw2d.Figure
org.eclipse.draw2d.LightweightSystem.RootFigure

All Implemented Interfaces:
  `IFigure`

Enclosing class:
  LightweightSystem

protected class LightweightSystem.RootFigure extends Figure
The figure at the root of the LightweightSystem. If certain properties (i.e. font, background/foreground color) are not set, the RootFigure will obtain these properties from LightweightSystem's Canvas.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.draw2d.Figure

`Figure.FigureIterator, Figure.IdentitySearch, Figure.ReverseFigureChildrenIterator`

## Nested classes/interfaces inherited from interface org.eclipse.draw2d.IFigure

`IFigure.NoInsets`

## Field Summary

### Fields inherited from class org.eclipse.draw2d.Figure

`bgColor, border, bounds, fgColor, flags, font, MAX_FLAG, maxSize, minSize, NO_MANAGER, prefSize, toolTip`

### Fields inherited from interface org.eclipse.draw2d.IFigure

`MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`RootFigure()`

## Method Summary

Modifier and Type
Method
Description
`Color`
`getBackgroundColor()`
Returns this Figure's background color.
`Font`
`getFont()`
Returns the current Font by reference.
`Color`
`getForegroundColor()`
Returns the foreground color.
`UpdateManager`
`getUpdateManager()`
Returns the UpdateManager for this IFigure by reference.
`EventDispatcher`
`internalGetEventDispatcher()`
This method is for internal purposes only and should not be called.
`boolean`
`isMirrored()`
`boolean`
`isShowing()`
Returns `true` if this IFigure is showing.

### Methods inherited from class org.eclipse.draw2d.Figure

`add, add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, containsPoint, containsPoint, erase, findDescendantAtExcluding, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, findMouseEventTargetInDescendantsAt, fireCoordinateSystemChanged, fireFigureMoved, fireMoved, firePropertyChange, firePropertyChange, firePropertyChange, getBorder, getBounds, getChildren, getChildrenRevIterable, getClientArea, getClientArea, getClippingStrategy, getCursor, getFlag, getInsets, getLayoutManager, getListeners, getListenersIterable, getLocalBackgroundColor, getLocalFont, getLocalForegroundColor, getLocation, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, intersects, invalidate, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMouseEventTarget, isOpaque, isRequestFocusEnabled, isValid, isValidationRoot, isVisible, layout, optimizeClip, paint, paintBorder, paintChildren, paintClientArea, paintFigure, primTranslate, remove, removeAll, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setChildrenDirection, setChildrenEnabled, setChildrenOrientation, setClippingStrategy, setConstraint, setCursor, setEnabled, setFlag, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setValid, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, useLocalCoordinates, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RootFigure

protected RootFigure()

## Method Details

### getBackgroundColor

public Color getBackgroundColor()
Description copied from class: `Figure`
Returns this Figure's background color. If this Figure's background color is `null` and its parent is not `null`, the background color is inherited from the parent.

Specified by:
  `getBackgroundColor` in interface `IFigure`
Overrides:
  `getBackgroundColor` in class `Figure`
Returns:
  The background color
See Also:
  - `IFigure.getBackgroundColor()`

### getFont

public Font getFont()
Description copied from interface: `IFigure`
Returns the current Font by reference.

Specified by:
  `getFont` in interface `IFigure`
Overrides:
  `getFont` in class `Figure`
Returns:
  The current Font
See Also:
  - `IFigure.getFont()`

### getForegroundColor

public Color getForegroundColor()
Description copied from interface: `IFigure`
Returns the foreground color.

Specified by:
  `getForegroundColor` in interface `IFigure`
Overrides:
  `getForegroundColor` in class `Figure`
Returns:
  The foreground color
See Also:
  - `IFigure.getForegroundColor()`

### getUpdateManager

public UpdateManager getUpdateManager()
Description copied from interface: `IFigure`
Returns the UpdateManager for this IFigure by reference.

Specified by:
  `getUpdateManager` in interface `IFigure`
Overrides:
  `getUpdateManager` in class `Figure`
Returns:
  The update manager
See Also:
  - `IFigure.getUpdateManager()`

### internalGetEventDispatcher

public EventDispatcher internalGetEventDispatcher()
Description copied from interface: `IFigure`
This method is for internal purposes only and should not be called.

Specified by:
  `internalGetEventDispatcher` in interface `IFigure`
Overrides:
  `internalGetEventDispatcher` in class `Figure`
Returns:
  The event dispatcher
See Also:
  - `IFigure.internalGetEventDispatcher()`

### isMirrored

public boolean isMirrored()

Specified by:
  `isMirrored` in interface `IFigure`
Overrides:
  `isMirrored` in class `Figure`
Returns:
  `true` if this figure is hosted in a Control that is mirrored
See Also:
  - `IFigure.isMirrored()`

### isShowing

public boolean isShowing()
Description copied from interface: `IFigure`
Returns `true` if this IFigure is showing. This figure is only showing if it is visible and its parent is showing, or it has no parent.

Specified by:
  `isShowing` in interface `IFigure`
Overrides:
  `isShowing` in class `Figure`
Returns:
  `true` if this IFigure is showing
See Also:
  - `Figure.isShowing()`